/*---------------------------------------------------------------------------------------------------|
|                                                                                                    |
|       Button Settings                                                                              |
|                                                                                                    |
|       Add "csem-btn" to the custom css class field in the button (styles applied to all buttons)   |
|       Add "csem-btn-dark" to the custom css class field in the button for dark color buttons       |
|       Add "csem-btn-light" to the custom css class field in the button for light color buttons     |
|                                                                                                    |
|---------------------------------------------------------------------------------------------------*/
/* All buttons on site */
.csem-btn a {
    padding: 18px 31px !important;
    font-size: 18px !important;
    font-weight: 700 !important;
    letter-spacing: 0px !important;
    border: none !important;
    border-radius: 2px !important;
}
@media only screen and (max-width: 762px) {
  .csem-btn {
    display: grid;
    justify-items: center;
    margin-bottom: 10px;
	  
  }
}

/* Dark Buttons */
.csem-btn-dark a {
  background-color: #206e7a !important;
  color: #ecd2b7 !important;
}
.csem-btn-dark a:hover {
  background-color: #42a4b3 !important;
}

/* Light Buttons */
.csem-btn-light a {
  background-color: #ffb400 !important;
  color: #000 !important;
}
.csem-btn-light a:hover {
  background-color: #ffb400 !important;
}



.csem-btn-white a {
  background-color: #fff !important;
  color: #000 !important;
	border:solid 1px #000;
}
.csem-btn-white a:hover {
  background-color: #fff !important;
}

.csem-btn-orange a {
  background-color: #f6891e !important;
  color: #fff !important;
	border:solid 0px #000;
}
.csem-btn-orange a:hover {
  background-color: #f6891e !important;
}

.csem-btn-grn a {
  background-color: #24a6a8 !important;
  color: #fff !important;
	border:solid 0px #000;
}
.csem-btn-grn a:hover {
  background-color: #24a6a8 !important;
}



/*---------------------------------------------------------------------------------------------------|
|                                                                                                    |
|       Ripple Button                                                                                |
|                                                                                                    |
|---------------------------------------------------------------------------------------------------*/

.ripple-button {
  position: relative;
  overflow: hidden;
  padding: 10px 20px;
  font-size: 16px;
  color: white;
  background-color: #3498db;
  border: none;
  border-radius: 50px; /* Rounded corners */
  cursor: pointer;
  outline: none;
}

.ripple-button::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 300%;
  height: 300%;
  background: radial-gradient(circle, rgba(255, 255, 255, 0.6) 0%, rgba(255, 255, 255, 0) 70%);
  transition: width 0.6s, height 0.6s, top 0.6s, left 0.6s;
  transform: translate(-50%, -50%);
  opacity: 0;
  border-radius: 50%; /* To match the rounded button */
}

.ripple-button:hover::before {
  width: 0;
  height: 0;
  opacity: 1;
  top: 50%;
  left: 50%;
}